Package org.eclipse.emf.cdo.lm.reviews.impl

# Class ReviewTemplateImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl
org.eclipse.emf.internal.cdo.CDOObjectImpl
org.eclipse.emf.cdo.etypes.impl.ModelElementImpl
org.eclipse.emf.cdo.lm.reviews.impl.TopicContainerImpl
org.eclipse.emf.cdo.lm.reviews.impl.ReviewTemplateImpl

All Implemented Interfaces:
  `CDOObject`, `CDOWithID`, `CDOPackageTypeRegistry.CDOObjectMarker`, `ModelElement`, `ReviewTemplate`, `TopicContainer`, `SystemElement`, `Notifier`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `InternalCDOLoadable`, `InternalCDOObject`

public class ReviewTemplateImpl extends TopicContainerImpl implements ReviewTemplate
An implementation of the model object 'Review Template'.

Generated
No Extend
  This class is not intended to be subclassed by clients.

  The following features are implemented:

  - `Reviewers`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.lm.reviews.impl.TopicContainerImpl

`TopicContainerImpl.TopicStatistics`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.cdo.lm.reviews.impl.TopicContainerImpl

`RESOLVED_COUNT_EDEFAULT, TOPIC_COUNT_EDEFAULT, UNRESOLVED_COUNT_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ReviewTemplateImpl()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`Review`
`getReview()`
`EList<String>`
`getReviewers()`
`System`
`getSystem()`

### Methods inherited from class org.eclipse.emf.cdo.lm.reviews.impl.TopicContainerImpl

`eInverseAdd, eInverseRemove, eInvoke, getComments, getResolvedCount, getTopicCount, getTopics, getTopicStatistics, getUnresolvedCount`

### Methods inherited from class org.eclipse.emf.cdo.etypes.impl.ModelElementImpl

`eStaticFeatureCount, getAnnotation, getAnnotations`

### Methods inherited from class org.eclipse.emf.internal.cdo.CDOObjectImpl

`cdoClassInfo, cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInternalDynamicFeature, cdoInternalInstance, cdoInternalPostAttach, cdoInternalPostDetach, cdoInternalPostDetach, cdoInternalPostInvalidate, cdoInternalPostLoad, cdoInternalPostRollback, cdoInternalPreAttach, cdoInternalPreCommit, cdoInternalPreLoad, cdoInternalSetID, cdoInternalSetResource, cdoInternalSetRevision, cdoInternalSetState, cdoInternalSetView, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption, createFeatureMap, createList, createLock, createMap, createOrderedList, createUnorderedList, dynamicGet, dynamicSet, dynamicUnset, eAdapterAdded, eAdapterRemoved, eAdapters, eBasicAdapterListeners, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainer, eBasicSetSettings, eBasicSettings, eClass, eContainerAdapterArray, eContainerFeatureID, eDirectResource, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicIsSet, eHasSettings, eInternalContainer, eInternalResource, eIsCaching, emfToString, equals, eSetClass, eSetDirectResource, eSetResource, eSettings, eStore, getLockState, hashCode, instanceToRevisionFeature, revisionToInstanceFeature, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEStoreEObjectImpl

`eBasicContainerFeatureID, eBasicInternalContainer, eDerivedStructuralFeatureID`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eContents, eCrossReferences, eDeliver, eIsProxy, eProperties, eProxyURI, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticOperationCount, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

`cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock, cdoWriteOption`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eDerivedOperationID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSetProxyURI, eSetStore, eSetting, eURIFragmentSegment`

### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

`getAnnotation, getAnnotations`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.cdo.lm.reviews.TopicContainer

`forEachComment, forEachTopic, getComments, getResolvedCount, getTopic, getTopicCount, getTopics, getTopics, getUnresolvedCount`

## Constructor Details

### ReviewTemplateImpl

protected ReviewTemplateImpl()

Generated

## Method Details

### eStaticClass

protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `TopicContainerImpl`
Generated

### getReviewers

public EList<String> getReviewers()

Specified by:
  `getReviewers` in interface `ReviewTemplate`
Returns:
  the value of the 'Reviewers' attribute list.
See Also:
  - `ReviewsPackage.getReviewTemplate_Reviewers()`
Generated

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `TopicContainerImpl`
Generated

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `TopicContainerImpl`
Generated

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `TopicContainerImpl`
Generated

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `TopicContainerImpl`
Generated

### getSystem

public System getSystem()
Description copied from class: `TopicContainerImpl`

Specified by:
  `getSystem` in interface `SystemElement`
Specified by:
  `getSystem` in class `TopicContainerImpl`

### getReview

public Review getReview()
Description copied from class: `TopicContainerImpl`

Specified by:
  `getReview` in interface `TopicContainer`
Specified by:
  `getReview` in class `TopicContainerImpl`
Returns:
  the value of the 'Review' reference.
See Also:
  - `ReviewsPackage.getTopicContainer_Review()`